<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::impl::general_flow_graph&lt; directed_graph_type &gt;::out_edge_iterator Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><b>impl</b></li><li class="navelem"><a class="el" href="classdlib_1_1impl_1_1general__flow__graph.html">general_flow_graph</a></li><li class="navelem"><a class="el" href="classdlib_1_1impl_1_1general__flow__graph_1_1out__edge__iterator.html">out_edge_iterator</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classdlib_1_1impl_1_1general__flow__graph_1_1out__edge__iterator-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::impl::general_flow_graph&lt; directed_graph_type &gt;::out_edge_iterator Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:acf3960cf2db7f924d92f3844d433f5c6"><td class="memItemLeft" align="right" valign="top"><a id="acf3960cf2db7f924d92f3844d433f5c6"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>out_edge_iterator</b> (unsigned long idx_, unsigned long cnt_)</td></tr>
<tr class="separator:acf3960cf2db7f924d92f3844d433f5c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3e53a3b19fad6dc9f09acad2637c191"><td class="memItemLeft" align="right" valign="top"><a id="ad3e53a3b19fad6dc9f09acad2637c191"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>operator!=</b> (const <a class="el" href="classdlib_1_1impl_1_1general__flow__graph_1_1out__edge__iterator.html">out_edge_iterator</a> &amp;item) const</td></tr>
<tr class="separator:ad3e53a3b19fad6dc9f09acad2637c191"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fa845c47d4248eb26a80af260d589e0"><td class="memItemLeft" align="right" valign="top"><a id="a8fa845c47d4248eb26a80af260d589e0"></a>
<a class="el" href="classdlib_1_1impl_1_1general__flow__graph_1_1out__edge__iterator.html">out_edge_iterator</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator++</b> ()</td></tr>
<tr class="separator:a8fa845c47d4248eb26a80af260d589e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a61a7e9ff4745c55fce26a18442e1385b"><td class="memItemLeft" align="right" valign="top"><a id="a61a7e9ff4745c55fce26a18442e1385b"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>idx</b></td></tr>
<tr class="separator:a61a7e9ff4745c55fce26a18442e1385b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af99c5c2a34b173a3ebdf5d2a8eb5f1de"><td class="memItemLeft" align="right" valign="top"><a id="af99c5c2a34b173a3ebdf5d2a8eb5f1de"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>cnt</b></td></tr>
<tr class="separator:af99c5c2a34b173a3ebdf5d2a8eb5f1de"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:afad40ff8f14d2fb8ded07b97d74a7ecd"><td class="memItemLeft" align="right" valign="top"><a id="afad40ff8f14d2fb8ded07b97d74a7ecd"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>general_flow_graph</b></td></tr>
<tr class="separator:afad40ff8f14d2fb8ded07b97d74a7ecd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="general__flow__graph_8h_source.html">general_flow_graph.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
